/**
* \file  LED.h
*
* \brief This is the implementation of LoRaWAN LED resource module
*
* Copyright (c) 2021 Europalab Devices ApS
*
* \asf_license_start
*
* \page License
*
* This file is part of Sendcomm.
*
* Sendcomm is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Sendcomm is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Sendcomm. If not, see <https://www.gnu.org/licenses/>.
*
* \asf_license_stop
*
*/


#ifndef _LED_H_
#define _LED_H_

#include "resources.h"

typedef enum _e_LED_State_t
{
    LOFF = 0,
    LON = 1,
    LTOGGLE = 2
}e_LED_states;

/*********************************************************************//*
 \brief      Function to switch on/off or to toggle the LED
 \param[in]  resrc - LED resource
                     Supported Values - LED_AMBER, LED_RED
\param[in]   data - pointer to the LED func value
                    LOFF - to switch off the LED
                    LON  - to switch on the LED
                    LTOGGLE - to toggle the LED
 ************************************************************************/
int32_t  set_LED_data(const uint8_t resrc,const uint8_t * data);

#endif
